## cconv 0.6.3

=== Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/cconv
pkglibdir = $(libdir)/cconv
pkgincludedir = $(includedir)/cconv
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
bin_PROGRAMS = cconv$(EXEEXT)
DIST_COMMON = README $(am__configure_deps) $(include_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/config.h.in $(top_srcdir)/configure AUTHORS COPYING \
	ChangeLog INSTALL NEWS THANKS compile config.guess config.sub \
	install-sh ltmain.sh missing
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \
	"$(DESTDIR)$(includedir)"
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
libcconv_la_LIBADD =
am_libcconv_la_OBJECTS = libcconv_la-cconv.lo libcconv_la-unicode.lo
libcconv_la_OBJECTS = $(am_libcconv_la_OBJECTS)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_cconv_OBJECTS = cconv-cconv.$(OBJEXT) cconv-main.$(OBJEXT) \
	cconv-unicode.$(OBJEXT)
cconv_OBJECTS = $(am_cconv_OBJECTS)
cconv_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libcconv_la_SOURCES) $(cconv_SOURCES)
DIST_SOURCES = $(libcconv_la_SOURCES) $(cconv_SOURCES)
includeHEADERS_INSTALL = $(INSTALL_HEADER)
HEADERS = $(include_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/jianyu/cconv/trunk/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/jianyu/cconv/trunk/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/jianyu/cconv/trunk/missing --run autoconf
AUTOHEADER = ${SHELL} /home/jianyu/cconv/trunk/missing --run autoheader
AUTOMAKE = ${SHELL} /home/jianyu/cconv/trunk/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
ICONV_INCLUDES = 
ICONV_LIBS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/jianyu/cconv/trunk/missing --run makeinfo
OBJEXT = o
OS_TYPE = -DLinux
PACKAGE = cconv
PACKAGE_BUGREPORT = xiaoyjy@gmail.com
PACKAGE_NAME = cconv
PACKAGE_STRING = cconv 0.6.2
PACKAGE_TARNAME = cconv
PACKAGE_VERSION = 0.6.2
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 0.6.2
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__fastdepCXX_FALSE = 
am__fastdepCXX_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/jianyu/cconv/trunk/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
AUTOMAKE_OPTIONS = no-dependencies
EXTRA_DIST = cconv_table.h cconv_table.cc THANKS test_s2t test_t2s m4/*.m4
AC_CFLAGS = -Wall  -DLinux
ACLOCAL_AMFLAGS = -I m4
cconv_SOURCES = cconv.c main.c unicode.c
cconv_CFLAGS = ${AC_CFLAGS}
cconv_LDFLAGS = 
lib_LTLIBRARIES = libcconv.la
libcconv_la_SOURCES = cconv.c unicode.c
libcconv_la_CFLAGS = -Wall  -DLinux
include_HEADERS = cconv.h unicode.h
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	cd $(top_srcdir) && $(AUTOHEADER)
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(libdir)" || $(mkdir_p) "$(DESTDIR)$(libdir)"
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f=$(am__strip_dir) \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@set -x; list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  p=$(am__strip_dir) \
	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libcconv.la: $(libcconv_la_OBJECTS) $(libcconv_la_DEPENDENCIES) 
	$(LINK) -rpath $(libdir) $(libcconv_la_LDFLAGS) $(libcconv_la_OBJECTS) $(libcconv_la_LIBADD) $(LIBS)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
cconv$(EXEEXT): $(cconv_OBJECTS) $(cconv_DEPENDENCIES) 
	@rm -f cconv$(EXEEXT)
	$(LINK) $(cconv_LDFLAGS) $(cconv_OBJECTS) $(cconv_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

.c.o:
	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(LTCOMPILE) -c -o $@ $<

libcconv_la-cconv.lo: cconv.c
	$(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libcconv_la_CFLAGS) $(CFLAGS) -c -o libcconv_la-cconv.lo `test -f 'cconv.c' || echo '$(srcdir)/'`cconv.c

libcconv_la-unicode.lo: unicode.c
	$(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libcconv_la_CFLAGS) $(CFLAGS) -c -o libcconv_la-unicode.lo `test -f 'unicode.c' || echo '$(srcdir)/'`unicode.c

cconv-cconv.o: cconv.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cconv_CFLAGS) $(CFLAGS) -c -o cconv-cconv.o `test -f 'cconv.c' || echo '$(srcdir)/'`cconv.c

cconv-cconv.obj: cconv.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cconv_CFLAGS) $(CFLAGS) -c -o cconv-cconv.obj `if test -f 'cconv.c'; then $(CYGPATH_W) 'cconv.c'; else $(CYGPATH_W) '$(srcdir)/cconv.c'; fi`

cconv-main.o: main.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cconv_CFLAGS) $(CFLAGS) -c -o cconv-main.o `test -f 'main.c' || echo '$(srcdir)/'`main.c

cconv-main.obj: main.c

## cconv 0.6.2

=== debian/changelog ===
cconv (0.6.2-1.3build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:43:43 +0200

cconv (0.6.2-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007557)
  * d/rules: Do not require configure for config.status (Closes: #1049645)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure pass --host to configure. (Closes: #991168)

 -- Bastian Germann <bage@debian.org>  Tue, 03 Oct 2023 19:52:25 +0200

cconv (0.6.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep}. (Closes: #999169)
  * Package description improvements from Justin B Rye.
    (Closes: 679383)

 -- Adrian Bunk <bunk@debian.org>  Tue, 04 Jan 2022 08:10:17 +0200

cconv (0.6.2-1.1) unstable; urgency=medium

  [ Aurelien Jarno
  * Non maintainer upload.

  [ Logan Rosen ]
  * Use dh-autoreconf to get new libtool macros for ppc64el and update
    config.{sub,guess} for new arches (Closes: #572360).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 22 Sep 2014 22:50:47 +0200

cconv (0.6.2-1) unstable; urgency=low

  * New upstream release.
  * Update Standard-version to 3.8.4 (no changes needed).

 -- Vern Sun <s5unty@gmail.com>  Sun, 28 Feb 2010 21:32:01 +0800

cconv (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * Update Standard-version to 3.8.3 (no changes needed).

 -- Vern Sun <s5unty@gmail.com>  Sat, 10 Oct 2009 00:06:33 +0800

cconv (0.5.2-1) unstable; urgency=low

  * Initial release (Closes: #528319).

 -- Vern Sun <s5unty@gmail.com>  Thu, 14 May 2009 20:47:53 +0800

=== debian/control ===
Source: cconv
Section: text
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Vern Sun <s5unty@gmail.com>
Build-Depends: debhelper (>= 7), dh-autoreconf, asciidoc, xsltproc, libxml2-utils, docbook-xml, docbook-xsl
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/cconv/

Package: cconv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: iconv
Description: Simplified/Traditional Chinese conversion tool
 The Chinese national GB standard defines a basic set of (around 6,000)
 characters for use in Simplified Chinese writing; this excludes many of
 the characters in the Taiwanese industry standard for Traditional Chinese
 called Big5 (around 13,000 characters in the basic set). However, Unicode
 is a superset of both (with the duplication removed).
 .
 This tool is used for converting a UTF-8 string which contains both
 Simplified and Traditional Chinese characters directly into a single
 Chinese character set.

Package: libcconv0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for cconv
 Cconv is a Simplified/Traditional Chinese conversion tool. For more
 information, see the description of the package cconv.
 .
 This package provides the runtime library for cconv.

Package: libcconv-dev
Section: libdevel
Architecture: any
Depends: libcconv0 (= ${binary:Version}), ${misc:Depends}
Description: development libraries for CCONV
 Cconv is a Simplified/Traditional Chinese conversion tool. For more
 information, see the description of the package cconv.
 .
 This package provides development libraries and documentation for cconv.

=== debian/rules ===
#!/usr/bin/make -f

config.status:
	dh_testdir
	dh_autoreconf
	dh_auto_configure -- \
		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

build: build-stamp

build-stamp:  config.status 
	dh_testdir
	a2x -f manpage $(CURDIR)/debian/cconv.txt
	$(MAKE)
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	rm -f $(CURDIR)/debian/cconv.xml $(CURDIR)/debian/cconv.1
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_autoreconf_clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

build-arch: build
build-indep: build
binary: binary-indep binary-arch
.PHONY: build-arch build-indep build clean binary-indep binary-arch binary install

## cconv 0.6.3

=== debian/changelog ===
cconv (0.6.3-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Maintain package on Salsa in Debian team
    Closes: #1118717
  * Fix Homepage
  * d/watch:
     - version=5
     - Fix
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * d/rules: short dh
  * d/copyright: DEP5

  [ Macy Lin ]
  * Run wrap-and-sort.

 -- Macy Lin <macy@debconf.org>  Mon, 17 Nov 2025 16:56:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,21 @@
 Source: cconv
+Standards-Version: 4.7.2
+Maintainer: Macy Lin <macy@debconf.org>
 Section: text
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vern Sun <s5unty@gmail.com>
-Build-Depends: debhelper (>= 7), dh-autoreconf, asciidoc, xsltproc, libxml2-utils, docbook-xml, docbook-xsl
-Standards-Version: 3.8.4
-Homepage: http://code.google.com/p/cconv/
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               asciidoc,
+               docbook-xml,
+               docbook-xsl,
+               libxml2-utils,
+               xsltproc
+Vcs-Browser: https://salsa.debian.org/debian/cconv
+Vcs-Git: https://salsa.debian.org/debian/cconv.git
+Homepage: https://github.com/xiaoyjy/cconv
 
 Package: cconv
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: iconv
 Description: Simplified/Traditional Chinese conversion tool
  The Chinese national GB standard defines a basic set of (around 6,000)
@@ -23,9 +29,9 @@
  Chinese character set.
 
 Package: libcconv0
+Architecture: any
 Section: libs
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library for cconv
  Cconv is a Simplified/Traditional Chinese conversion tool. For more
  information, see the description of the package cconv.
@@ -33,8 +39,8 @@
  This package provides the runtime library for cconv.
 
 Package: libcconv-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libcconv0 (= ${binary:Version}), ${misc:Depends}
 Description: development libraries for CCONV
  Cconv is a Simplified/Traditional Chinese conversion tool. For more

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_clean:
	if [ -e Makefile.bak ] ; then mv Makefile.bak Makefile ; fi

override_dh_autoreconf:
	cp -a Makefile Makefile.bak
	dh_autoreconf

override_dh_auto_build:
	a2x -f manpage $(CURDIR)/debian/cconv.txt
	dh_auto_build

=== debian/watch ===
Version: 5

Source: https://github.com/xiaoyjy/@PACKAGE@/tags
Matching-Pattern: (?:.*?/)?v?(\d[\d.]+)@ARCHIVE_EXT@
Filename-Mangle: s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%
